## x2top

Main Table of Contents

VERSION 3.2.0
Sun 25 Jan 2004

### Description

x2top generates a primitive topology from a coordinate file. The program assumes all hydrogens are present when defining the hybridization from the atom name and the number of bonds. The program can also make an rtp entry, which you can then add to the rtp database.

When `-param` is set, equilibrium distances and angles and force constants will be printed in the topology for all interactions. The equilibrium distances and angles are taken from the input coordinates, the force constant are set with command line options.

### Files

option | filename | type | description
--- | --- | --- | ---
`-f` | `conf.gro` | Input | Generic structure: gro g96 pdb tpr tpb tpa xml
`-o` | `out.top` | Output, Opt. | Topology file
`-r` | `out.rtp` | Output, Opt. | Residue Type file used by pdb2gmx

### Other options

option | type | default | description
--- | --- | --- | ---
`-[no]h` | bool | `no` | Print help info and quit
`-nice` | int | `0` | Set the nicelevel
`-scale` | real | `1.1` | Scaling factor for bonds with unknown atom types relative to atom type O
`-ff` | enum | `G43a1` | Select the force field for your simulation: `G43a1`, `oplsaa`, `gmx`, `G43a2` or `G43b1`
`-nexcl` | int | `3` | Number of exclusions
`-[no]H14` | bool | `yes` | Use 3rd neighbour interactions for hydrogen atoms
`-[no]alldih` | bool | `no` | Generate all proper dihedrals
`-[no]remdih` | bool | `no` | Remove dihedrals on the same bond as an improper
`-[no]pairs` | bool | `yes` | Output 1-4 interactions (pairs) in topology file
`-name` | string | `ICE` | Name of your molecule
`-[no]pbc` | bool | `yes` | Use periodic boundary conditions.
`-[no]param` | bool | `no` | Print parameters in the output
`-[no]round` | bool | `yes` | Round off measured values
`-kb` | real | `400000` | Bonded force constant (kJ/mol/nm^2)
`-kt` | real | `400` | Angle force constant (kJ/mol/rad^2)
`-kp` | real | `5` | Dihedral angle force constant (kJ/mol/rad^2)

- The atom type selection is primitive. Virtually no chemical knowledge is used
- Periodic boundary conditions screw up the bonding
- No improper dihedrals are generated
- The atoms to atomtype translation table is incomplete (ffG43a1.n2t file in the $GMXLIB directory). Please extend it and send the results back to the GROMACS crew.

http://www.gromacs.org
gromacs@gromacs.org